limits.h File Reference

Go to the source code of this file.

## Macros

#define | CHAR_BIT 8 /* bits in a char */
#define | SCHAR_MAX 127
#define | SCHAR_MIN -128
#define | UCHAR_MAX 0xff
#define | CHAR_MAX SCHAR_MAX
#define | CHAR_MIN SCHAR_MIN
#define | INT_MIN (-32767 - 1)
#define | INT_MAX 32767
#define | SHRT_MAX INT_MAX
#define | SHRT_MIN INT_MIN
#define | UINT_MAX 0xffff
#define | UINT_MIN 0
#define | USHRT_MAX UINT_MAX
#define | USHRT_MIN UINT_MIN
#define | LONG_MIN (-2147483647L-1)
#define | LONG_MAX 2147483647L
#define | ULONG_MAX 0xffffffff
#define | ULONG_MIN 0

## Macro Definition Documentation

## CHAR_BIT

#define CHAR_BIT 8 /* bits in a char */

## SCHAR_MAX

#define SCHAR_MAX 127

## SCHAR_MIN

#define SCHAR_MIN -128

## UCHAR_MAX

#define UCHAR_MAX 0xff

## CHAR_MAX

#define CHAR_MAX SCHAR_MAX

## CHAR_MIN

#define CHAR_MIN SCHAR_MIN

## INT_MIN

#define INT_MIN (-32767 - 1)

## INT_MAX

#define INT_MAX 32767

## SHRT_MAX

#define SHRT_MAX INT_MAX

## SHRT_MIN

#define SHRT_MIN INT_MIN

## UINT_MAX

#define UINT_MAX 0xffff

## UINT_MIN

#define UINT_MIN 0

## USHRT_MAX

#define USHRT_MAX UINT_MAX

## USHRT_MIN

#define USHRT_MIN UINT_MIN

## LONG_MIN

#define LONG_MIN (-2147483647L-1)

## LONG_MAX

#define LONG_MAX 2147483647L

## ULONG_MAX

#define ULONG_MAX 0xffffffff

## ULONG_MIN

#define ULONG_MIN 0